%define upstream_name    DateTime-Format-Strptime
%define upstream_version 1.79

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    Parse and format strp and strf time patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime) >= 1.0.0
BuildRequires: perl(DateTime::Locale) >= 1.300.0
BuildRequires: perl(DateTime::Locale::Base)
BuildRequires: perl(DateTime::Locale::FromData)
BuildRequires: perl(DateTime::TimeZone) >= 2.90.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Params::ValidationCompiler)
BuildRequires: perl(Specio) >= 0.330.0
BuildRequires: perl(Specio::Declare)
BuildRequires: perl(Specio::Exporter)
BuildRequires: perl(Specio::Library::Builtins)
BuildRequires: perl(Specio::Library::String)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and returns
the DateTime object associated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
#%__make test

%files 
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:1.790.0-3.mga10
+ Revision: 2209826
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1:1.790.0-2.mga9
+ Revision: 1820671
- Mageia 9 Mass Rebuild

* Tue May 04 2021 tv <tv> 1:1.790.0-1.mga9
+ Revision: 1721196
- update to 1.79

* Sun Jan 10 2021 neoclust <neoclust> 1:1.780.0-2.mga8
+ Revision: 1670270
- Rebuild to fix missing signature

* Thu Dec 17 2020 tv <tv> 1:1.780.0-1.mga8
+ Revision: 1659298
- update to 1.78

* Sun Mar 01 2020 tv <tv> 1:1.770.0-1.mga8
+ Revision: 1552495
- update to 1.77

* Fri Feb 14 2020 umeabot <umeabot> 1:1.760.0-2.mga8
+ Revision: 1522812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Feb 08 2019 tv <tv> 1:1.760.0-1.mga7
+ Revision: 1364177
- update to 1.76

* Thu Sep 20 2018 umeabot <umeabot> 1:1.750.0-2.mga7
+ Revision: 1282659
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 tv <tv> 1:1.750.0-1.mga7
+ Revision: 1185428
- update to 1.75

* Mon Oct 02 2017 tv <tv> 1:1.740.0-2.mga7
+ Revision: 1163887
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1:1.740.0-1.mga7
+ Revision: 1159433
- update to 1.74
+ shlomif <shlomif>
- update to 1.73

* Sat Jun 18 2016 pterjan <pterjan> 1:1.640.0-2.mga6
+ Revision: 1025265
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 1:1.640.0-1.mga6
+ Revision: 978714
- update to 1.64

* Sun Jan 17 2016 shlomif <shlomif> 1:1.630.0-1.mga6
+ Revision: 925098
- update to 1.63

* Wed Oct 14 2015 sander85 <sander85> 1:1.570.0-1.mga6
+ Revision: 891306
- update to 1.57

* Wed Oct 15 2014 umeabot <umeabot> 1:1.560.0-3.mga5
+ Revision: 742490
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.560.0-2.mga5
+ Revision: 684286
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 1:1.560.0-1.mga5
+ Revision: 662587
- update to 1.56

* Tue May 06 2014 jquelin <jquelin> 1:1.550.0-1.mga5
+ Revision: 620529
- update to 1.55

* Sat Oct 19 2013 umeabot <umeabot> 1:1.540.0-2.mga4
+ Revision: 526857
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1:1.540.0-1.mga4
+ Revision: 439001
- update to 1.54

* Sun Jan 13 2013 umeabot <umeabot> 1:1.520.0-2.mga3
+ Revision: 365657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1:1.520.0-1.mga3
+ Revision: 267284
- update to 1.52

* Tue Jun 05 2012 jquelin <jquelin> 1:1.510.0-1.mga3
+ Revision: 254802
- update to 1.51

* Mon Jan 24 2011 jquelin <jquelin> 1:1.500.0-1.mga1
+ Revision: 36210
- mageia rebuild
- imported package perl-DateTime-Format-Strptime


* Fri Dec 24 2010 Götz Waschk <waschk@mandriva.org> 1:1.500.0-1mdv2011.0
+ Revision: 624459
- new version
- update source URL

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.400.0-1mdv2011.0
+ Revision: 553118
- update to 1.4000

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.200.0-1mdv2010.1
+ Revision: 526437
- update to 1.2000

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.100.0-1mdv2010.0
+ Revision: 398894
- forgot to commit new tarball
- update to 1.1000

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.90.100-1mdv2010.0
+ Revision: 393105
- update to 1.0901
- using %%perl_convert_version
- fixed license field

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0900-1mdv2010.0
+ Revision: 383958
- update to new version 1.0900

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0800-1mdv2009.0
+ Revision: 289465
- 1.0800

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0702-1mdv2008.1
+ Revision: 105822
- import perl-DateTime-Format-Strptime


* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0702-1mdv2008.1
- first mdv release 
